Subject: Re: cygwin gcc failure
From: "Gerrit P. Haase" <[email-masked]>
To: Heflin <[email-masked]>
Cc: [email-masked]
Date: Fri, 26 Mar 2004 17:30:59 +0100

Hallo Heflin,

Friday, 19.03.2004 00:31 you wrote:

> Richard Campbell wrote:

>>>The symptom is pretty straight forward, on a straight command line of:
>>>
>>>gcc foo.c
>>>
>>>I get a pop up and a system log message which says:

>>>Application popup: cc1.exe - Application Error : The application failed
>>>to initialize properly (0xc0000022). Click on OK to terminate the 
>>>application.

> This doesn't appear to be applicable. cc1.exe is buried in the gcc-lib
> structure (called by gcc), and it doesn't provide any further info other
> than what I've posted.

> Additionally, MS seems to indicate that the actual message is some form
> of permision problem, but in typical MS fashion they aren't real 
> specific on how to nail down exactly what is causing the problem.

> I'm reluctant to apply a snapshot because the rest of cygwin appears to
> be working, and the idea of overlaying things isn't really appealling at
> the moment.

> If anyone has suggestions on how to narrow the possible causes, I'm all
> ears (or eyes).

Is this resolved?

From the KDE FAQ: http://kde-cygwin.sourceforge.net/faq/kde2.php#3

Why do I get the "The Application failed to initialize properly
(0xc0000022)" errors? 

If you try to start kde applications and have got a message box with
the message "The Application failed to initialize properly
(0xc0000022)...", you have probably problems with access rights on
some executables or dynamic link libraries.   
If you encounter such problems, try updating the executable access
rights with

$ chmod a+x /usr/X11R6/bin/*.exe /usr/X11R6/bin/*.dll /opt/kde2/bin/*.exe /opt/kde2/lib/*.dll

So try this for the DLLs which are usded by cc1.exe:

$ cygcheck cc1.exe
Found: .\cc1.exe
cc1.exe
  H:\bin\cygwin1.dll
    C:\WINNT\System32\ADVAPI32.DLL
      C:\WINNT\System32\ntdll.dll
      C:\WINNT\System32\KERNEL32.dll
      C:\WINNT\System32\USER32.dll
        C:\WINNT\System32\GDI32.dll
      C:\WINNT\System32\RPCRT4.dll
  H:\bin\cygintl-2.dll
    H:\bin\cygiconv-2.dll

Gerrit
-- 
=^..^=